Subject: Re: linux-next: build failure after merge of the wireless-next tree

From: Johannes Berg <[email-masked]>
Date: Wed, 09 Oct 2024 09:04:05 +0200

On Wed, 2024-10-09 at 12:04 +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the wireless-next tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: modpost: "wireless_nlevent_flush" [net/wireless/cfg80211.ko] undefined!
> 
> Caused by commit
> 
>   aee809aaa2d1 ("wifi: cfg80211: unexport wireless_nlevent_flush()")
> 
> I have reverted that commit for today.

Oops. I totally forgot that wext-core is always built-in (while cfg80211
can be a module ...). I've reverted it as well.

johannes